#include "tile/base/object_pool/global.h"
#include "tile/base/logging.h"

namespace tile {
namespace object_pool {
namespace detail {
namespace global {
void *
Get(const TypeDescriptor &desc)
{
    // TILE_NOT_IMPLEMENTED("");
    return desc.create();
}

void
Put(const TypeDescriptor &desc, void *ptr)
{
    // TILE_NOT_IMPLEMENTED("");
    desc.destroy(ptr);
}

}// namespace global
}// namespace detail
}// namespace object_pool
}// namespace tile
